
QGIS Application - Bug report #19562

QGIS 3.2.1 crashes

2018-08-07 05:56 PM - George Rodrigues da Cunha Silva

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.2.1 Regression?: No

Operating System: Linux Mint 18 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27389

Description

Hello folks.

Brand new machine here, with Linux Mint Cinnamon Tara (bionic).

I've compiled:

    -  GDAL - 2.3.1

    -  GEOS - 3.6.2

    -  PROJ - 5.1.0

by hand.

Compiled these libraries and proceeded with installation as usual, using QGIS package repository.

When opening, I get:

Warning: QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

Warning: QPixmap::scaled: Pixmap is a null pixmap

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library
Warning: QSqlQuery::prepare: database not open

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34
libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library
libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56
libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34
libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

libpng warning: Application was compiled with png.h from libpng-1.6.34

libpng warning: Application  is  running with png.c from libpng-1.2.56

libpng error: Incompatible libpng version in application and library

QGIS died on signal 11[New LWP 22184]

[New LWP 22185]

[New LWP 22186]

[New LWP 22189]

[New LWP 22190]

[New LWP 22192]

[New LWP 22197]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f32f0f536c2 in __GI___waitpid (pid=22198, stat_loc=0x7ffc1432a8ac, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:30

30    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f32f4b2a980 (LWP 22181))]

#0  0x00007f32f0f536c2 in __GI___waitpid (pid=22198, stat_loc=0x7ffc1432a8ac, options=0) at

../sysdeps/unix/sysv/linux/waitpid.c:30

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x000055b61539c45e in  ()

#2  0x00007f32f0eadf20 in <signal handler called> () at /lib/x86_64-linux-gnu/libc.so.6

#3  0x00007f32647b55d0 in pj_get_def (P=<optimized out>, options=<optimized out>) at pj_pr_list.c:76

        t = 0x590ff25857100ff2

        l = <optimized out>

        definition = 0x55b6182bd090 " +\362\017Y\302\303f\220H\205\377t\v\351fQ" 

        def_max = 41

#4  0x00007f32efc6f7a0 in OCTProj4NormalizeInternal(char const*) (pszProj4Src=pszProj4Src@entry=0x55b618299a90

"+proj=longlat +ellps=WGS84 +no_defs") at ogrct.cpp:365

        psPJSource = 0x55b61824fd70

        pszNewProj4Def = <optimized out>

        pszCopy = <optimized out>

#5  0x00007f32efc70878 in OCTProj4Normalize(char const*) (pszProj4Src=pszProj4Src@entry=0x55b618299a90

"+proj=longlat +ellps=WGS84 +no_defs") at ogrct.cpp:393

        oHolder = {hMutex = 0x55b6182a4c70, pszFile = 0x7f32f052198c "ogrct.cpp", nLine = 385}

#6  0x00007f32efc607f0 in OGRSpatialReference::importFromProj4(char const*) (this=0x55b61855aba0,

pszProj4=0x55b6181bdfb8 "+proj=longlat +ellps=WGS84 +no_defs") at ogr_srs_proj4.cpp:512

        pszCleanCopy = 0x55b618299a90 "+proj=longlat +ellps=WGS84 +no_defs" 

        bSetAuthorityCode = true
        pszNormalized = <optimized out>

        papszNV = <optimized out>

        pszPM = <optimized out>

        l_dfFromGreenwich = <optimized out>

        pszProj = <optimized out>

        bAddProj4Extension = <optimized out>

        bFullyDefined = <optimized out>

        pszValue = <optimized out>

        dfSemiMajor = <optimized out>

        dfInvFlattening = <optimized out>

        dfSemiMinor = <optimized out>

        poVERT_CS = <optimized out>

        pszINIT = <optimized out>

        pszColumn = <optimized out>

#7  0x00007f32f33b8f74 in QgsCoordinateReferenceSystem::setProj4String(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#8  0x00007f32f33bc075 in QgsCoordinateReferenceSystem::createFromProj4(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#9  0x00007f32f33bcddc in QgsCoordinateReferenceSystem::fromProj4(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#10 0x00007f32f3409973 in QgsEllipsoidUtils::ellipsoidParameters(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#11 0x00007f32f34c5fab in QgsMapSettings::setEllipsoid(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#12 0x00007f32ef1e21da in  () at /usr/lib/libqgis_gui.so.3.2.1

#13 0x00007f32f1abf6cf in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#14 0x00007f32f3962fd5 in QgsProject::ellipsoidChanged(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#15 0x00007f32f3547f28 in QgsProject::setEllipsoid(QString const&) () at /usr/lib/libqgis_core.so.3.2.1

#16 0x00007f32f3fea682 in QgisApp::fileNew(bool, bool) () at /usr/lib/libqgis_app.so.3.2.1

#17 0x00007f32f3ffe45f in QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>) () at /usr/lib/libqgis_app.so.3.2.1

#18 0x000055b615398386 in  ()

#19 0x00007f32f0e90b97 in __libc_start_main (main=0x55b615396740, argc=1, argv=0x7ffc1432ca28, init=<optimized out>,

fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffc1432ca18) at ../csu/libc-start.c:310

        result = <optimized out>

        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 3977779347162952624, 94240528514624, 140720647359008, 0, 0,

7180966706478085040, 7078007817100489648}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x7f32f4972733

<_dl_init+259>, 0x7f32f49345f8}, data = {prev = 0x0, cleanup = 0x0, canceltype = -191420621}}}

        not_first_call = <optimized out>

#20 0x000055b61539be6a in _start ()

gdb returned 0

Aborted

History

#1 - 2018-08-14 04:36 PM - George Rodrigues da Cunha Silva

Do I need to inform anything else?

This is killing me :D.

There is anything else I can provide so we can understand this?

#2 - 2018-08-14 04:38 PM - Giovanni Manghi

- Status changed from Open to Feedback
Does it crash if you install from the official repositories?

#3 - 2018-08-14 06:26 PM - George Rodrigues da Cunha Silva

By official, do you mean QGIS Official repository? If so, I did installed it using the Official QGIS Repo:

Check the output of `/etc/apt/sources.list.d/qgis.list`

sudo cat /etc/apt/sources.list.d/qgis.list

deb     https://qgis.org/ubuntu bionic main

deb-src https://qgis.org/ubuntu bionic main

#4 - 2018-08-15 12:05 PM - Giovanni Manghi

George Rodrigues da Cunha Silva wrote:

By official, do you mean QGIS Official repository? If so, I did installed it using the Official QGIS Repo:

Check the output of `/etc/apt/sources.list.d/qgis.list`

[...]

but you are using self compiled dependencies, which usually are installed automatically when installing QGIS from repos.

My bet is that you have somehow messed your system.

#5 - 2018-08-16 03:05 PM - George Rodrigues da Cunha Silva

You're right.

I did some testing which fixed the problem. I moved all the self compiled libs to another folder and ran `ldconfig`.

But, let me ask a question: why is QGIS tripping on this? If it comes with it's own bundled libs, it should not look for these, right?

Because, in my case, the updated libs are used for development. And I need QGIS to work/dev as well.

Any middle ground on this?

#6 - 2018-08-16 03:10 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

Any middle ground on this?

better ask in the developers mailing list.
#7 - 2018-08-16 03:23 PM - Jürgen Fischer

George Rodrigues da Cunha Silva wrote:

You're right.

I did some testing which fixed the problem. I moved all the self compiled libs to another folder and ran `ldconfig`.

But, let me ask a question: why is QGIS tripping on this? If it comes with it's own bundled libs, it should not look for these, right?

What's it is complaining about are not bundled libs, but system libs.  libpng is not directly used by QGIS.  It's probably Qt complaining - or GDAL or GRASS

or…

Because, in my case, the updated libs are used for development. And I need QGIS to work/dev as well.

Any middle ground on this?

To run your development builds use LD_LIBRARY_PATH and point them to the dependencies you built with - instead of putting them into ld.so.conf.

#8 - 2019-02-28 07:55 PM - Andre Joost

It seems that you have to install the libpng-dev package v1.6.34 for bionic before self-compiling GDAL to get a version of GDAL that works with QGIS.

See https://gis.stackexchange.com/questions/313294/cant-install-support-for-ecw-in-qgis-3-6-3-4-on-ubuntu-18-04/313388#313388 on a similar case

when compiling GDAL with ECW support crashed QGIS.
